%define section free

Name:           crimson
Version:        1.1.3
Release:        12jpp
Epoch:          0
Summary:        Java XML parser
License:        Apache Software License
URL:            http://xml.apache.org/crimson/
Group:          Text Processing/Markup/XML
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://xml.apache.org/dist/crimson/crimson-1.1.3-src.tar.gz
Patch0:         %{name}-noapis.patch
Provides:       jaxp_parser_impl
Requires:       xml-commons-apis, /usr/sbin/update-alternatives
BuildRequires:  ant, jpackage-utils >= 0:1.5, xml-commons-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Crimson is a Java XML parser which supports XML 1.0 via the following
APIs:
- Java API for XML Processing (JAXP) 1.1 minus the javax.xml.transform
package. JAXP is a pluggable API that allows applications to access XML
documents in a parser-independent manner. It endorses the industry
standard SAX and DOM APIs and also adds a few classes under the
javax.xml.parsers package to implement pluggability and utility methods
Note: the javax.xml.transform package hierarchy of JAXP is not
implemented by Crimson. One implementation of javax.xml.transform can be
found at Xalan Java 2.
- SAX 2.0
- SAX2 Extensions version 1.0
- DOM Level 2 Core Recommendation

%package        manual
Summary:        Manual for %{name}
Group:          Text Processing/Markup/XML

%description    manual
Documentation for %{name}.

#%package        javadoc
#Summary:        Javadoc for %{name}
#Group:          Development/Documentation

#%description    javadoc
#Javadoc for %{name}.

%package demo
Summary:        Demo for %{name}
Group:          Text Processing/Markup/XML
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

# -----------------------------------------------------------------------------

%build
CLASSPATH=$(find-jar xml-commons-apis) ant jar # javadoc

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
#mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
#cp -pr build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr examples $RPM_BUILD_ROOT%{_datadir}/%{name}

# jaxp_parser_impl ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/jaxp_parser_impl.jar

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post
update-alternatives --install %{_javadir}/jaxp_parser_impl.jar \
  jaxp_parser_impl %{_javadir}/%{name}.jar 20

%preun
{
  [ $1 = 0 ] || exit 0
  update-alternatives --remove jaxp_parser_impl %{_javadir}/%{name}.jar
} >/dev/null 2>&1 || :

#%post javadoc
#rm -f %{_javadocdir}/%{name}
#ln -s %{name}-%{version} %{_javadocdir}/%{name}

#%postun javadoc
#if [ "$1" = "0" ]; then
#  rm -f %{_javadocdir}/%{name}
#fi

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc ChangeLog README.txt
%{_javadir}/%{name}*.jar
%ghost %{_javadir}/jaxp_parser_impl.jar

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

#%files javadoc
#%defattr(0644,root,root,0755)
#%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

# -----------------------------------------------------------------------------

%changelog
* Wed Jun  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.3-12jpp
- Own (ghost) %%{_javadir}/jaxp_parser_impl.jar.
- Remove alternatives in preun instead of postun.

* Thu Apr 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.3-11jpp
- Rebuild for JPackage 1.5.
- Change alternative to point to non-versioned jar, don't remove it on upgrade.
- Don't include JAXP API classes in crimson.jar.
- Drop javadoc package (contained only JAXP APIs).

* Thu Aug 22 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-10jpp
- corrected case for Group tag
- no macro for Url tag

* Mon Jul 01 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-9jpp
- use sed instead of bash 2.x extension in link area to make spec compatible with distro using bash 1.1x
- provides jaxp_parser_impl
- priority lowered to 20

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-8jpp
- vendor, distribution, group tags

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-7jpp
- provides jaxp_parser2 virtual resource

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-6jpp
- no need of stylebook, yet another cut'n'past sequel
- section macro

* Fri Jan 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-5jpp
- fixed demo requires
- javadoc in %{_datadir}/javadoc again

* Thu Dec 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-4jpp
- javadoc back to /usr/share/doc
- doc and javadoc requires nothing
- demo requires exact version and release
- requires /usr/sbin/update-alternatives

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-3jpp
- javadoc into javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.1.3-2jpp
- removed packager tag
- new jpp extension

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.3-1jpp
- 1.1.3
- used original tarball

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-0.beta2.2jpp
- first unified release
- s/jPackage/JPackage

* Fri Sep 07 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.2-0.beta2.1mdk
- 1.1.2beta2
- used source distribution
- no more wrapper as one jar only
- example subpackage is now demo subpackage
- moved demo files in %{_datadir}/%{name}

* Sat Sep 01 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-4mdk
- used cvs instead of mixed release
- moved examples %{javadir}/%{name}

* Tue Jul 31 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-3mdk
- jaxp_parser symlink is now jaxp_parser.jar

* Tue Jul 24 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-2mdk
- changed priority to 30

* Mon Jul 23 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1.1-1mdk
- first Mandrake release, using a build script stolen from Henry Gomez <gomez@slib.fr>
